# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License.


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was openenclave-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

include("${CMAKE_CURRENT_LIST_DIR}/openenclave-targets.cmake")

set(OE_MAJOR "0")
set(OE_MINOR "4")
set(OE_REVISION "1")
set(OE_VERSION "0.4.1")
set(OE_BRANCH "refs/heads/v0.4.x")
set(OE_COMMIT "f5a1a9861f614c800236e563718671bc3681565e")
set(OE_BUILD_NUMBER "9")
set(OE_SPECTRE_MITIGATION_FLAGS "-mllvm -x86-speculative-load-hardening")

set_and_check(OE_PREFIX "/opt/openenclave")
set_and_check(OE_LIBDIR "${OE_PREFIX}/lib")
set_and_check(OE_BINDIR "${OE_PREFIX}/bin")
set_and_check(OE_DATADIR "${OE_PREFIX}/share")
set_and_check(OE_INCLUDEDIR "${OE_PREFIX}/include")
