# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.5)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget oehost oehostapp oe_includes oelibcxx_cxx oecore oelibc oelibcxx)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target oehost
add_library(oehost STATIC IMPORTED)

set_target_properties(oehost PROPERTIES
  INTERFACE_LINK_LIBRARIES "oe_includes;/usr/lib/x86_64-linux-gnu/libcrypto.so;/usr/lib/x86_64-linux-gnu/libdl.so;\$<LINK_ONLY:Threads::Threads>;/usr/lib/x86_64-linux-gnu/libsgx_enclave_common.so;/usr/lib/x86_64-linux-gnu/libsgx_dcap_ql.so;/usr/lib/x86_64-linux-gnu/libsgx_urts.so"
)

# Create imported target oehostapp
add_library(oehostapp INTERFACE IMPORTED)

set_target_properties(oehostapp PROPERTIES
  INTERFACE_LINK_LIBRARIES "oehost;-rdynamic"
)

# Create imported target oe_includes
add_library(oe_includes INTERFACE IMPORTED)

set_target_properties(oe_includes PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target oelibcxx_cxx
add_library(oelibcxx_cxx STATIC IMPORTED)

set_target_properties(oelibcxx_cxx PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/openenclave/libcxx"
  INTERFACE_LINK_LIBRARIES "oelibc"
)

# Create imported target oecore
add_library(oecore STATIC IMPORTED)

set_target_properties(oecore PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "\$<\$<COMPILE_LANGUAGE:C>:OE_USE_LIBSGX>;\$<\$<COMPILE_LANGUAGE:CXX>:OE_USE_LIBSGX>;\$<\$<COMPILE_LANGUAGE:C>:OE_BUILD_ENCLAVE>;\$<\$<COMPILE_LANGUAGE:CXX>:OE_BUILD_ENCLAVE>"
  INTERFACE_COMPILE_OPTIONS "\$<\$<COMPILE_LANGUAGE:C>:-m64>;\$<\$<COMPILE_LANGUAGE:CXX>:-m64>;\$<\$<COMPILE_LANGUAGE:C>:-fPIC>;\$<\$<COMPILE_LANGUAGE:CXX>:-fPIC>;\$<\$<COMPILE_LANGUAGE:C>:-nostdinc>;\$<\$<COMPILE_LANGUAGE:CXX>:-nostdinc>;\$<\$<COMPILE_LANGUAGE:C>:-fno-stack-protector>;\$<\$<COMPILE_LANGUAGE:CXX>:-fno-stack-protector>;\$<\$<COMPILE_LANGUAGE:C>:-fvisibility=hidden>;\$<\$<COMPILE_LANGUAGE:CXX>:-fvisibility=hidden>;\$<\$<COMPILE_LANGUAGE:CXX>:-nostdinc++>"
  INTERFACE_LINK_LIBRARIES "oe_includes;-nostdlib;-nodefaultlibs;-nostartfiles;-Wl,--no-undefined,-Bstatic,-Bsymbolic,--export-dynamic,-pie"
)

# Create imported target oelibc
add_library(oelibc STATIC IMPORTED)

set_target_properties(oelibc PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/openenclave/3rdparty/libc"
  INTERFACE_LINK_LIBRARIES "oecore"
)

# Create imported target oelibcxx
add_library(oelibcxx INTERFACE IMPORTED)

set_target_properties(oelibcxx PROPERTIES
  INTERFACE_LINK_LIBRARIES "${_IMPORT_PREFIX}/lib/openenclave/enclave/liboelibcxx.a;oelibcxx_cxx"
)

if(CMAKE_VERSION VERSION_LESS 3.0.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.0.0 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/openenclave-targets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
